org.apache.synapse.securevault

## Enum EncodingType

- java.lang.Object
- - java.lang.Enum<EncodingType>
  - - org.apache.synapse.securevault.EncodingType

- All Implemented Interfaces:
    Serializable, Comparable<EncodingType>

      public enum EncodingType
      extends Enum<EncodingType>

  Encoding Types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE64`
    `BIGINTEGER16`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EncodingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EncodingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASE64

          public static final EncodingType BASE64

    - #### BIGINTEGER16

          public static final EncodingType BIGINTEGER16

  - ### Method Detail

    - #### values

          public static EncodingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncodingType c : EncodingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncodingType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2017 Apache Software Foundation. All rights reserved.